Description

I found that many people customize their Redmine installations... But they usually do this in a wrong way!

Most often I saw that people modified core files (e.g. RHTML) and then had troubles with upgrade etc. The right way is to create

dummy plugin and customize a copy there which

will be loaded instead of the core file.

Another sample is that they fix core CSS files... The right way is to add CSS file in some dummy plugin.

So I’m thinking about creating the dummy plugin, add some features like CSS files autoload (maybe with some extended rules) and

write a good documentation on customizing Redmine/ChiliProject...

History

#1 - 21 Sep 2011 19:10 - Andriy Lesyuk

Also many users add custom links to top menu, application menu etc.

#2 - 26 Sep 2011 11:52 - Andriy Lesyuk

- Priority changed from Normal to Major

#3 - 27 Nov 2011 11:01 - Andriy Lesyuk

Another powerful thing is hooks... Such plugin would be able to simplify using them! For example, like Hooks Manager it could support all hooks by

using them in a special way:

Add a “dummy” RHTML which would autoload user custom RHTMLs if available;

Provide JavaScript API e.g. Controller, Project objects to simplify writing RHTML pages (this way no Ruby would be required).

#4 - 06 Feb 2012 11:11 - Andriy Lesyuk

- Priority changed from Major to Normal
